#include "chdecl.h"
void CH_chcode(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb8;
    case 4: goto c9;
    case 5: goto cb15;
    case 6: goto c16;
    case 7: goto cb18;
    case 8: goto c19;
    case 9: goto cb21;
    case 10: goto c22;
    case 11: goto cb27;
    case 12: goto c28;
    case 13: goto cb30;
    case 14: goto c31;
    case 15: goto cb35;
    case 16: goto c36;
    case 17: goto cb39;
    case 18: goto c40;
    case 19: goto cb43;
    case 20: goto c44;
    case 21: goto cb46;
    case 22: goto c47;
    case 23: goto cb49;
    case 24: goto c50;
    case 25: goto cb52;
    case 26: goto c53;
    case 27: goto cb55;
    case 28: goto c56;
    case 29: goto cb60;
    case 30: goto c61;
    case 31: goto cb78;
    case 32: goto c79;
    case 33: goto cb91;
    case 34: goto c92;
    case 35: goto c94;
    case 36: goto cb107;
    case 37: goto c108;
    case 38: goto c110;
    case 39: goto c117;
    case 40: goto c120;
    case 41: goto c122;
    case 42: goto c125;
    case 43: goto c129;
    case 44: goto c144;
    case 45: goto cb147;
    case 46: goto c148;
    case 47: goto c150;
    case 48: goto c154;
    case 49: goto c167;
    case 50: goto c184;
    case 51: goto c196;
    case 52: goto c198;
    case 53: goto c201;
    case 54: goto c216;
    case 55: goto cb231;
    case 56: goto c232;
    case 57: goto cb233;
    case 58: goto c234;
    case 59: goto c237;
    case 60: goto cb240;
    case 61: goto c241;
    case 62: goto c244;
    case 63: goto cb253;
    case 64: goto c254;
    case 65: goto c256;
    case 66: goto cb259;
    case 67: goto c260;
    case 68: goto cb268;
    case 69: goto c269;
    case 70: goto c276;
    case 71: goto c279;
    case 72: goto cb287;
    case 73: goto c288;
    case 74: goto cb289;
    case 75: goto c290;
    case 76: goto cb294;
    case 77: goto c295;
    case 78: goto c301;
    case 79: goto cb303;
    case 80: goto c304;
    case 81: goto c306;
    case 82: goto cb319;
    case 83: goto c320;
    case 84: goto c322;
    case 85: goto cb329;
    case 86: goto c330;
    case 87: goto cb331;
    case 88: goto c332;
    case 89: goto cb343;
    case 90: goto c344;
    case 91: goto cb351;
    case 92: goto c352;
    case 93: goto c354;
    case 94: goto cb369;
    case 95: goto c370;
    case 96: goto c372;
    case 97: goto cb373;
    case 98: goto c374;
    case 99: goto c376;
    case 100: goto cb385;
    case 101: goto c386;
    case 102: goto c392;
    case 103: goto c397;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* copy 4 3.2 */
  if((ch_returncode = (REF(3)DOT(2).tsdr->copy)(& ch_val, REF(3)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(3)DOT(2).tsdr->number];
/* copy 5 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* copy 6 3.1.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_outport;
/* copy 7 3.1.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = & dr_outport;
/* chs_lit 8 , "pathLoad" */
  if( !chs_lit(DEF(8),"pathLoad") ) goto ch_depletion;
/* chs_lit 9 , "" */
  if( !chs_lit(DEF(9),"") ) goto ch_depletion;
  current->ip = 3;
cb8:
/* call 4.2 8 9 10 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* unwrap 11 10 , 2 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 12 , 14 */
  if ((ch_val.record = new_record(14)) == nil) goto ch_depletion;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val; REF(12).tsdr = & dr_record;
/* copy 12.3 11 */
  if((ch_returncode = cp_outport(& ch_val, REF(11).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12)DOT(3).tsdr)->finalize)(REF(12)DOT(3).value,F_DISCARD,sched);
  REF(12)DOT(3).value = ch_val;
  REF(12)DOT(3).tsdr = & dr_outport;
/* copy 12.4 6 */
  if((ch_returncode = cp_outport(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12)DOT(4).tsdr)->finalize)(REF(12)DOT(4).value,F_DISCARD,sched);
  REF(12)DOT(4).value = ch_val;
  REF(12)DOT(4).tsdr = & dr_outport;
/* chs_lit 13 , "pathReadObj" */
  if( !chs_lit(DEF(13),"pathReadObj") ) goto ch_depletion;
/* chs_lit 14 , "" */
  if( !chs_lit(DEF(14),"") ) goto ch_depletion;
  current->ip = 5;
cb15:
/* call 4.2 13 14 15 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(13),
          arguments[2] = DEF(14),
          arguments[3] = DEF(15),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c16:
/* unwrap 16 15 , 3 */
  if ((ch_returncode = che_unwrap(DEF(16),DEF(15),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 17 , "chdescriptors.ho" */
  if( !chs_lit(DEF(17),"chdescriptors.ho") ) goto ch_depletion;
  current->ip = 7;
cb18:
/* call 16 17 18 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(17),
          arguments[2] = DEF(18),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c19:
/* unwrap 12.11 18 , 5 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(11),DEF(18),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 19 , "itoa" */
  if( !chs_lit(DEF(19),"itoa") ) goto ch_depletion;
  current->ip = 9;
cb21:
/* call 11 19 20 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(19),
          arguments[2] = DEF(20),
          arguments[2+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* procedure 21 20 , 7 */
  if ((ch_returncode = che_procedure(DEF(21),DEF(20),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* move 12.12 21 */
  (*(REF(12)DOT(12).tsdr)->finalize)(REF(12)DOT(12).value,F_DISCARD,sched);
  REF(12)DOT(12) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* chs_lit 22 , "CLoader" */
  if( !chs_lit(DEF(22),"CLoader") ) goto ch_depletion;
/* chs_lit 23 , "" */
  if( !chs_lit(DEF(23),"") ) goto ch_depletion;
  current->ip = 11;
cb27:
/* call 4.2 22 23 24 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(22),
          arguments[2] = DEF(23),
          arguments[3] = DEF(24),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c28:
/* unwrap 25 24 , 8 */
  if ((ch_returncode = che_unwrap(DEF(25),DEF(24),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 26 , "crtoa" */
  if( !chs_lit(DEF(26),"crtoa") ) goto ch_depletion;
  current->ip = 13;
cb30:
/* call 25 26 27 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(26),
          arguments[2] = DEF(27),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c31:
/* unwrap 28 27 , 10 */
  if ((ch_returncode = che_unwrap(DEF(28),DEF(27),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 29 , 11 */
  if ((ch_returncode = che_prog_lit(DEF(29),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* create 30 29 , 12 */
  if ((ch_returncode = che_create(DEF(30),DEF(29),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
  current->ip = 15;
cb35:
/* call 30 28 31 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(30),
          arguments[1] = DEF(28),
          arguments[2] = DEF(31),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* move 12.13 31 */
  (*(REF(12)DOT(13).tsdr)->finalize)(REF(12)DOT(13).value,F_DISCARD,sched);
  REF(12)DOT(13) = REF(31);
  REF(31).tsdr = & dr_bottom;
/* chs_lit 32 , "stdio" */
  if( !chs_lit(DEF(32),"stdio") ) goto ch_depletion;
/* chs_lit 33 , "" */
  if( !chs_lit(DEF(33),"") ) goto ch_depletion;
  current->ip = 17;
cb39:
/* call 4.2 32 33 34 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[3] = DEF(34),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* unwrap 35 34 , 14 */
  if ((ch_returncode = che_unwrap(DEF(35),DEF(34),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 36 , "writeObj" */
  if( !chs_lit(DEF(36),"writeObj") ) goto ch_depletion;
/* chs_lit 37 , "" */
  if( !chs_lit(DEF(37),"") ) goto ch_depletion;
  current->ip = 19;
cb43:
/* call 4.2 36 37 38 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(36),
          arguments[2] = DEF(37),
          arguments[3] = DEF(38),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c44:
/* unwrap 39 38 , 15 */
  if ((ch_returncode = che_unwrap(DEF(39),DEF(38),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 40 , "putfile" */
  if( !chs_lit(DEF(40),"putfile") ) goto ch_depletion;
  current->ip = 21;
cb46:
/* call 11 40 41 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c47:
/* create 42 41 , 16 */
  if ((ch_returncode = che_create(DEF(42),DEF(41),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
  current->ip = 23;
cb49:
/* call 42 35.3 43 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(42),
          arguments[1] = DEF(35)DOT(3),
          arguments[2] = DEF(43),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* move 12.5 43 */
  (*(REF(12)DOT(5).tsdr)->finalize)(REF(12)DOT(5).value,F_DISCARD,sched);
  REF(12)DOT(5) = REF(43);
  REF(43).tsdr = & dr_bottom;
/* chs_lit 44 , "getfile" */
  if( !chs_lit(DEF(44),"getfile") ) goto ch_depletion;
  current->ip = 25;
cb52:
/* call 11 44 45 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(44),
          arguments[2] = DEF(45),
          arguments[2+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c53:
/* create 46 45 , 18 */
  if ((ch_returncode = che_create(DEF(46),DEF(45),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
  current->ip = 27;
cb55:
/* call 46 35.3 47 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(46),
          arguments[1] = DEF(35)DOT(3),
          arguments[2] = DEF(47),
          arguments[2+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* move 12.6 47 */
  (*(REF(12)DOT(6).tsdr)->finalize)(REF(12)DOT(6).value,F_DISCARD,sched);
  REF(12)DOT(6) = REF(47);
  REF(47).tsdr = & dr_bottom;
/* copy 12.7 35.11 */
  if((ch_returncode = (REF(35)DOT(11).tsdr->copy)(& ch_val, 
    REF(35)DOT(11).value)) != Normal) goto ch_raise_exception;
  (*(REF(12)DOT(7).tsdr)->finalize)(REF(12)DOT(7).value,F_DISCARD,sched);
  REF(12)DOT(7).value = ch_val;
  REF(12)DOT(7).tsdr = datarepmap[REF(35)DOT(11).tsdr->number];
/* chs_lit 48 , "getCwd" */
  if( !chs_lit(DEF(48),"getCwd") ) goto ch_depletion;
/* chs_lit 49 , "" */
  if( !chs_lit(DEF(49),"") ) goto ch_depletion;
  current->ip = 29;
cb60:
/* call 4.2 48 49 50 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(48),
          arguments[2] = DEF(49),
          arguments[3] = DEF(50),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
/* unwrap 51 50 , 20 */
  if ((ch_returncode = che_unwrap(DEF(51),DEF(50),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* copy 12.8 35.5 */
  if((ch_returncode = (REF(35)DOT(5).tsdr->copy)(& ch_val, REF(35)DOT(5).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12)DOT(8).tsdr)->finalize)(REF(12)DOT(8).value,F_DISCARD,sched);
  REF(12)DOT(8).value = ch_val;
  REF(12)DOT(8).tsdr = datarepmap[REF(35)DOT(5).tsdr->number];
/* prog_lit 52 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(52),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 53 52 , 22 */
  if ((ch_returncode = che_procedure(DEF(53),DEF(52),QUAL(22)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 54 53 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* prog_lit 55 , 23 */
  if ((ch_returncode = che_prog_lit(DEF(55),QUAL(23),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 56 55 , 24 */
  if ((ch_returncode = che_procedure(DEF(56),DEF(55),QUAL(24)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* move 57 56 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57) = REF(56);
  REF(56).tsdr = & dr_bottom;
/* prog_lit 58 , 25 */
  if ((ch_returncode = che_prog_lit(DEF(58),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 59 58 , 26 */
  if ((ch_returncode = che_procedure(DEF(59),DEF(58),QUAL(26)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* move 60 59 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60) = REF(59);
  REF(59).tsdr = & dr_bottom;
/* prog_lit 61 , 27 */
  if ((ch_returncode = che_prog_lit(DEF(61),QUAL(27),sched)) != Normal) 
     goto ch_raise_exception;
/* create 62 61 , 28 */
  if ((ch_returncode = che_create(DEF(62),DEF(61),QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
  current->ip = 31;
cb78:
/* call 62 5 4 12.9 12.10 , 29 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(62),
          arguments[1] = DEF(5),
          arguments[2] = DEF(4),
          arguments[3] = DEF(12)DOT(9),
          arguments[4] = DEF(12)DOT(10),
          arguments[4+1] = nil,& arguments[0]),QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
  return;
c79:
/* boolean 63 , FALSE */
  REF(63).value.boolean = FALSE;
  REF(63).tsdr = & dr_boolean;
/* chs_lit 64 , "config" */
  if( !chs_lit(DEF(64),"config") ) goto ch_depletion;
/* find_or_goto 65 12.9.14 64 , 0,83 */
  if (findfunc(DEF(65),DEF(12)DOT(9)DOT(14),(
          arguments[0] = DEF(64),& arguments[0]),sched,0) == FAILURE) goto c83;
/* boolean 63 , TRUE */
  REF(63).value.boolean = TRUE;
  REF(63).tsdr = & dr_boolean;
c83:
/* branch_false 63 , 122 */
  if ( !REF(63).value.boolean ) goto c122;
/* chs_lit 66 , "Configuration paramters from file " */
  if( !chs_lit(DEF(66),"Configuration paramters from file ") )
     goto ch_depletion;
/* concat 67 66 12.9.16 */
  if ((ch_returncode = che_concat(DEF(67),DEF(66),DEF(12)DOT(9)DOT(16)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* chs_lit 68 , ":" */
  if( !chs_lit(DEF(68),":") ) goto ch_depletion;
/* concat 69 67 68 */
  if ((ch_returncode = che_concat(DEF(69),DEF(67),DEF(68),sched)) != Normal)
     goto ch_raise_exception;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
  current->ip = 33;
cb91:
/* call 7 69 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(69),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c92:
/* copy 70 12.10 */
  if((ch_returncode = cp_table(& ch_val, REF(12)DOT(10).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val;
  REF(70).tsdr = & dr_table;
/* initget 71 70 , 0,0 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(71),DEF(70),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c94:
/* get_or_goto 71 70 , 120 */
  if ((ch_returncode = get_selected_object(DEF(71),DEF(70),sched)) != Normal)
     goto c120;
/* block , 31 */
  if((ch_returncode = che_block(QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
/* copy 72 71.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(71)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_polymorph;
/* unwrap 73 72 , 32 */
  if ((ch_returncode = che_unwrap(DEF(73),DEF(72),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 74 , "  " */
  if( !chs_lit(DEF(74),"  ") ) goto ch_depletion;
/* concat 75 74 71.0 */
  if ((ch_returncode = che_concat(DEF(75),DEF(74),DEF(71)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* chs_lit 76 , " = " */
  if( !chs_lit(DEF(76)," = ") ) goto ch_depletion;
/* concat 77 75 76 */
  if ((ch_returncode = che_concat(DEF(77),DEF(75),DEF(76),sched)) != Normal)
     goto ch_raise_exception;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* concat 78 77 73 */
  if ((ch_returncode = che_concat(DEF(78),DEF(77),DEF(73),sched)) != Normal)
     goto ch_raise_exception;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
  current->ip = 36;
cb107:
/* call 7 78 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(78),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c108:
/* endblock */
  che_endblock(sched);
/* branch , 117 */
   goto c117;
c110:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
c117:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* branch , 94 */
   goto c94;
c120:
/* endget 71 70 */
  end_selector(DEF(71),DEF(70),sched,GET);
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
c122:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* copy 79 12.9.13 */
  if((ch_returncode = cp_table(& ch_val, REF(12)DOT(9)DOT(13).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = & dr_table;
/* initget 80 79 , 0,0 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(80),DEF(79),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c125:
/* get_or_goto 80 79 , 150 */
  if ((ch_returncode = get_selected_object(DEF(80),DEF(79),sched)) != Normal)
     goto c150;
/* block , 33 */
  if((ch_returncode = che_block(QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 12.11 */
  if (REF(12)DOT(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(12)DOT(11))) != Normal)
       goto ch_raise_exception;
/* initget 81 12.11 , 0,0 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(81),DEF(12)DOT(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c129:
/* get_or_err 81 12.11 */
  if ((ch_returncode = get_selected_object(DEF(81),DEF(12)DOT(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* boolean 82 , FALSE */
  REF(82).value.boolean = FALSE;
  REF(82).tsdr = & dr_boolean;
/* enum_lit 83 , 0 */
  REF(83).value.enumeration = 0;
  REF(83).tsdr = & dr_enumeration;
/* find_or_goto 84 81.8 83 , 0,136 */
  if (findfunc(DEF(84),DEF(81)DOT(8),(
          arguments[0] = DEF(83),& arguments[0]),sched,0) == FAILURE) goto c136;
/* notequal . 84.1 80 , 136 */
  if ( !eq_table(REF(84)DOT(1).value,REF(80).value) ) goto c136;
/* boolean 82 , TRUE */
  REF(82).value.boolean = TRUE;
  REF(82).tsdr = & dr_boolean;
c136:
/* branch_false 82 , 129 */
  if ( !REF(82).value.boolean ) goto c129;
/* remove 85 81 12.11 */
  if ((ch_returncode = che_remove(DEF(85),DEF(81),DEF(12)DOT(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 81 12.11 */
  end_selector(DEF(81),DEF(12)DOT(11),sched,GET);
/* ordenum_lit 85.2 , 0 */
  REF(85)DOT(2).value.ord_enum = 0;
  REF(85)DOT(2).tsdr = & dr_ord_enumeration;
/* insert 12.11 85 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(11),DEF(85),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 148 */
   goto c148;
c144:
/* chs_lit 86 , "Unrecognized interpret = " */
  if( !chs_lit(DEF(86),"Unrecognized interpret = ") ) goto ch_depletion;
/* concat 87 86 80 */
  if ((ch_returncode = che_concat(DEF(87),DEF(86),DEF(80),sched)) != Normal)
     goto ch_raise_exception;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
  current->ip = 45;
cb147:
/* call 3.1.1 87 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(87),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c148:
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* branch , 125 */
   goto c125;
c150:
/* endget 80 79 */
  end_selector(DEF(80),DEF(79),sched,GET);
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* copy 88 5 */
  if((ch_returncode = cp_table(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = & dr_table;
/* initget 89 88 , 0,0 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(89),DEF(88),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c154:
/* get_or_goto 89 88 , 392 */
  if ((ch_returncode = get_selected_object(DEF(89),DEF(88),sched)) != Normal)
     goto c392;
/* position 90 89 */
  ch_frame = get_selector_frame(DEF(89),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(90).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(90).tsdr = &dr_integer;
/* ile . 90 =(1) , 154 */
  if ( REF(90).value.integer <= 1 ) goto c154;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 12.0 */
  (*(REF(12)DOT(0).tsdr)->finalize)(REF(12)DOT(0).value,F_DISCARD,sched);
  REF(12)DOT(0).tsdr = & dr_bottom;
/* discard 12.1 */
  (*(REF(12)DOT(1).tsdr)->finalize)(REF(12)DOT(1).value,F_DISCARD,sched);
  REF(12)DOT(1).tsdr = & dr_bottom;
/* block , 34 */
  if((ch_returncode = che_block(QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
/* copy 91 89 */
  if((ch_returncode = cp_table(& ch_val, REF(89).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).value = ch_val;
  REF(91).tsdr = & dr_table;
/* chs_lit 92 , ".po" */
  if( !chs_lit(DEF(92),".po") ) goto ch_depletion;
/* new_table 93 , 35 */
  if ((ch_returncode = che_new_table(DEF(93),QUAL(35),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 94 91 , 0,0 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(94),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c167:
/* get_or_goto 94 91 , 177 */
  if ((ch_returncode = get_selected_object(DEF(94),DEF(91),sched)) != Normal)
     goto c177;
/* position 95 94 */
  ch_frame = get_selector_frame(DEF(94),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(95).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(95).tsdr = &dr_integer;
/* size 96 91 */
  REF(96).value.integer = REF(91).value.table->size;
  REF(96).tsdr = & dr_integer;
/* isubtract 97 96 =(3) */
  if (!chf_isubtract(DEF(97),REF(96).value.integer,3)) goto ch_depletion;
/* ilt . 95 97 , 167 */
  if ( REF(95).value.integer < REF(97).value.integer ) goto c167;
/* copy 98 94 */
  if((ch_returncode = (REF(94).tsdr->copy)(& ch_val, REF(94).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).value = ch_val;
  REF(98).tsdr = datarepmap[REF(94).tsdr->number];
/* insert 93 98 */
  if ((ch_returncode = insertfunc(DEF(93),DEF(98),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 167 */
   goto c167;
c177:
/* endget 94 91 */
  end_selector(DEF(94),DEF(91),sched,GET);
/* equal 99 92 93 */
  REF(99).value.boolean = (eq_table(REF(92).value,REF(93).value));
  REF(99).tsdr = & dr_boolean;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* branch_false 99 , 196 */
  if ( !REF(99).value.boolean ) goto c196;
/* new_table 100 , 35 */
  if ((ch_returncode = che_new_table(DEF(100),QUAL(35),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 101 91 , 0,0 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(101),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c184:
/* get_or_goto 101 91 , 194 */
  if ((ch_returncode = get_selected_object(DEF(101),DEF(91),sched)) != Normal)
     goto c194;
/* position 102 101 */
  ch_frame = get_selector_frame(DEF(101),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(102).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(102).tsdr = &dr_integer;
/* size 103 91 */
  REF(103).value.integer = REF(91).value.table->size;
  REF(103).tsdr = & dr_integer;
/* isubtract 104 103 =(3) */
  if (!chf_isubtract(DEF(104),REF(103).value.integer,3)) goto ch_depletion;
/* ige . 102 104 , 184 */
  if ( REF(102).value.integer >= REF(104).value.integer ) goto c184;
/* copy 105 101 */
  if((ch_returncode = (REF(101).tsdr->copy)(& ch_val, REF(101).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).value = ch_val;
  REF(105).tsdr = datarepmap[REF(101).tsdr->number];
/* insert 100 105 */
  if ((ch_returncode = insertfunc(DEF(100),DEF(105),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 184 */
   goto c184;
c194:
/* endget 101 91 */
  end_selector(DEF(101),DEF(91),sched,GET);
/* move 91 100 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91) = REF(100);
  REF(100).tsdr = & dr_bottom;
c196:
/* new_table 106 , 35 */
  if ((ch_returncode = che_new_table(DEF(106),QUAL(35),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 107 91 , 0,0 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(107),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c198:
/* get_or_goto 107 91 , 216 */
  if ((ch_returncode = get_selected_object(DEF(107),DEF(91),sched)) != Normal)
     goto c216;
/* boolean 108 , FALSE */
  REF(108).value.boolean = FALSE;
  REF(108).tsdr = & dr_boolean;
/* initget 109 91 , 0,0 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(109),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c201:
/* get_or_goto 109 91 , 210 */
  if ((ch_returncode = get_selected_object(DEF(109),DEF(91),sched)) != Normal)
     goto c210;
/* position 110 107 */
  ch_frame = get_selector_frame(DEF(107),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(110).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(110).tsdr = &dr_integer;
/* position 111 109 */
  ch_frame = get_selector_frame(DEF(109),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(111).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(111).tsdr = &dr_integer;
/* ile 112 110 111 */
  REF(112).value.boolean = (REF(110).value.integer <= REF(111).value.integer);
/* equal 113 109 =(47) */
  REF(113).value.boolean = (REF(109).value.ord_enum == 47);
  REF(113).tsdr = & dr_boolean;
/* and 114 112 113 */
  REF(114).value.boolean = REF(112).value.boolean&REF(113).value.boolean;
  REF(114).tsdr = & dr_boolean;
/* branch_false 114 , 201 */
  if ( !REF(114).value.boolean ) goto c201;
/* boolean 108 , TRUE */
  REF(108).value.boolean = TRUE;
  REF(108).tsdr = & dr_boolean;
c210:
/* endget 109 91 */
  end_selector(DEF(109),DEF(91),sched,GET);
/* not 115 108 */
  REF(115).value.boolean = !REF(108).value.boolean;
  REF(115).tsdr = & dr_boolean;
/* branch_false 115 , 198 */
  if ( !REF(115).value.boolean ) goto c198;
/* copy 116 107 */
  if((ch_returncode = (REF(107).tsdr->copy)(& ch_val, REF(107).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  REF(116).value = ch_val;
  REF(116).tsdr = datarepmap[REF(107).tsdr->number];
/* insert 106 116 */
  if ((ch_returncode = insertfunc(DEF(106),DEF(116),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 198 */
   goto c198;
c216:
/* endget 107 91 */
  end_selector(DEF(107),DEF(91),sched,GET);
/* move 12.0 106 */
  (*(REF(12)DOT(0).tsdr)->finalize)(REF(12)DOT(0).value,F_DISCARD,sched);
  REF(12)DOT(0) = REF(106);
  REF(106).tsdr = & dr_bottom;
/* new_table 12.1 , 36 */
  if ((ch_returncode = che_new_table(DEF(12)DOT(1),QUAL(36)
    ,sched)) != Normal)  goto ch_raise_exception;
/* block , 37 */
  if((ch_returncode = che_block(QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
/* not 117 12.9.1 */
  REF(117).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(117).tsdr = & dr_boolean;
/* branch_false 117 , 232 */
  if ( !REF(117).value.boolean ) goto c232;
/* chs_lit 118 , ": load[" */
  if( !chs_lit(DEF(118),": load[") ) goto ch_depletion;
/* concat 119 12.0 118 */
  if ((ch_returncode = che_concat(DEF(119),DEF(12)DOT(0),DEF(118)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 118 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  REF(118).tsdr = & dr_bottom;
/* concat 120 119 91 */
  if ((ch_returncode = che_concat(DEF(120),DEF(119),DEF(91),sched)) != Normal)
     goto ch_raise_exception;
/* discard 119 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  REF(119).tsdr = & dr_bottom;
/* chs_lit 121 , ".po] " */
  if( !chs_lit(DEF(121),".po] ") ) goto ch_depletion;
/* concat 122 120 121 */
  if ((ch_returncode = che_concat(DEF(122),DEF(120),DEF(121)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 120 */
  (*(REF(120).tsdr)->finalize)(REF(120).value,F_DISCARD,sched);
  REF(120).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
  current->ip = 55;
cb231:
/* call 6 122 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(122),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c232:
/* discard 122 */
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).tsdr = & dr_bottom;
  current->ip = 57;
cb233:
/* call 12.9.3 91 123 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(9)DOT(3),
          arguments[1] = DEF(91),
          arguments[2] = DEF(123),
          arguments[2+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c234:
/* move 124 123 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124) = REF(123);
  REF(123).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 256 */
   goto c256;
c237:
/* not 125 12.9.1 */
  REF(125).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(125).tsdr = & dr_boolean;
/* branch_false 125 , 241 */
  if ( !REF(125).value.boolean ) goto c241;
/* chs_lit 126 , "File not found." */
  if( !chs_lit(DEF(126),"File not found.") ) goto ch_depletion;
  current->ip = 60;
cb240:
/* call 7 126 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(126),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c241:
/* discard 126 */
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).tsdr = & dr_bottom;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c244:
/* discard 118 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  REF(118).tsdr = & dr_bottom;
/* discard 119 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  REF(119).tsdr = & dr_bottom;
/* discard 120 */
  (*(REF(120).tsdr)->finalize)(REF(120).value,F_DISCARD,sched);
  REF(120).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 122 */
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).tsdr = & dr_bottom;
/* discard 123 */
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).tsdr = & dr_bottom;
/* not 127 12.9.1 */
  REF(127).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(127).tsdr = & dr_boolean;
/* branch_false 127 , 254 */
  if ( !REF(127).value.boolean ) goto c254;
/* chs_lit 128 , "Problems loading program" */
  if( !chs_lit(DEF(128),"Problems loading program") ) goto ch_depletion;
  current->ip = 63;
cb253:
/* call 7 128 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(128),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c254:
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c256:
/* block , 39 */
  if((ch_returncode = che_block(QUAL(39),sched)) != Normal)
     goto ch_raise_exception;
/* ilit 12.2 , -1 */
  REF(12)DOT(2).value.integer = -1;
  REF(12)DOT(2).tsdr = & dr_integer;
  current->ip = 66;
cb259:
/* call 60 124 129 , 40 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(60),
          arguments[1] = DEF(124),
          arguments[2] = DEF(129),
          arguments[2+1] = nil,& arguments[0]),QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
  return;
c260:
/* noop */
  
/* new_table 130 , 41 */
  if ((ch_returncode = che_new_table(DEF(130),QUAL(41),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 131 , 0 */
  REF(131).value.integer = 0;
  REF(131).tsdr = & dr_integer;
/* block , 42 */
  if((ch_returncode = che_block(QUAL(42),sched)) != Normal)
     goto ch_raise_exception;
/* find 132 129 124.1 , 0 */
  if (findfunc(DEF(132),DEF(129),(
          arguments[0] = DEF(124)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 133 132 */
  if((ch_returncode = (REF(132).tsdr->copy)(& ch_val, REF(132).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).value = ch_val;
  REF(133).tsdr = datarepmap[REF(132).tsdr->number];
/* copy 134 132.1 */
  if((ch_returncode = (REF(132)DOT(1).tsdr->copy)(& ch_val, 
    REF(132)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  REF(134).value = ch_val;
  REF(134).tsdr = datarepmap[REF(132)DOT(1).tsdr->number];
  current->ip = 68;
cb268:
/* call 54 12 134 135 , 43 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(12),
          arguments[2] = DEF(134),
          arguments[3] = DEF(135),
          arguments[3+1] = nil,& arguments[0]),QUAL(43),sched)) != Normal)
     goto ch_raise_exception;
  return;
c269:
/* move 133.1 135 */
  (*(REF(133)DOT(1).tsdr)->finalize)(REF(133)DOT(1).value,F_DISCARD,sched);
  REF(133)DOT(1) = REF(135);
  REF(135).tsdr = & dr_bottom;
/* iadd 131 131 =(1) */
  if (!chf_iadd(DEF(131),REF(131).value.integer,1)) goto ch_depletion;
/* insert 130 133 */
  if ((ch_returncode = insertfunc(DEF(130),DEF(133),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c276:
/* discard 134 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  REF(134).tsdr = & dr_bottom;
/* copy 136 129 */
  if((ch_returncode = cp_table(& ch_val, REF(129).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).value = ch_val;
  REF(136).tsdr = & dr_table;
/* initget 137 136 , 0,0 */
  (*(REF(137).tsdr)->finalize)(REF(137).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(137),DEF(136),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c279:
/* get_or_goto 137 136 , 301 */
  if ((ch_returncode = get_selected_object(DEF(137),DEF(136)
    ,sched)) != Normal) goto c301;
/* equal . 137.0 124.1 , 279 */
  if ( (REF(137)DOT(0).tsdr->equal)(REF(137)DOT(0).value,REF(124)DOT(1).value)
     ) goto c279;
/* discard 138 */
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).tsdr = & dr_bottom;
/* equal . 131 =(0) , 290 */
  if ( REF(131).value.integer == 0 ) goto c290;
/* chs_lit 139 , "" */
  if( !chs_lit(DEF(139),"") ) goto ch_depletion;
  current->ip = 72;
cb287:
/* call 7 139 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(139),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c288:
/* chs_lit 140 , "  " */
  if( !chs_lit(DEF(140),"  ") ) goto ch_depletion;
  current->ip = 74;
cb289:
/* call 6 140 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(140),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c290:
/* discard 139 */
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).tsdr = & dr_bottom;
/* discard 140 */
  (*(REF(140).tsdr)->finalize)(REF(140).value,F_DISCARD,sched);
  REF(140).tsdr = & dr_bottom;
/* copy 133 137 */
  if((ch_returncode = (REF(137).tsdr->copy)(& ch_val, REF(137).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).value = ch_val;
  REF(133).tsdr = datarepmap[REF(137).tsdr->number];
/* copy 138 137.1 */
  if((ch_returncode = (REF(137)DOT(1).tsdr->copy)(& ch_val, 
    REF(137)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).value = ch_val;
  REF(138).tsdr = datarepmap[REF(137)DOT(1).tsdr->number];
  current->ip = 76;
cb294:
/* call 54 12 138 141 , 43 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(12),
          arguments[2] = DEF(138),
          arguments[3] = DEF(141),
          arguments[3+1] = nil,& arguments[0]),QUAL(43),sched)) != Normal)
     goto ch_raise_exception;
  return;
c295:
/* move 133.1 141 */
  (*(REF(133)DOT(1).tsdr)->finalize)(REF(133)DOT(1).value,F_DISCARD,sched);
  REF(133)DOT(1) = REF(141);
  REF(141).tsdr = & dr_bottom;
/* iadd 131 131 =(1) */
  if (!chf_iadd(DEF(131),REF(131).value.integer,1)) goto ch_depletion;
/* insert 130 133 */
  if ((ch_returncode = insertfunc(DEF(130),DEF(133),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 279 */
   goto c279;
c301:
/* endget 137 136 */
  end_selector(DEF(137),DEF(136),sched,GET);
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
  current->ip = 79;
cb303:
/* call 57 124 130 , 44 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(57),
          arguments[1] = DEF(124),
          arguments[2] = DEF(130),
          arguments[2+1] = nil,& arguments[0]),QUAL(44),sched)) != Normal)
     goto ch_raise_exception;
  return;
c304:
/* endblock */
  che_endblock(sched);
/* branch , 322 */
   goto c322;
c306:
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
/* discard 130 */
  (*(REF(130).tsdr)->finalize)(REF(130).value,F_DISCARD,sched);
  REF(130).tsdr = & dr_bottom;
/* discard 133 */
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).tsdr = & dr_bottom;
/* discard 134 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  REF(134).tsdr = & dr_bottom;
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 139 */
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).tsdr = & dr_bottom;
/* discard 140 */
  (*(REF(140).tsdr)->finalize)(REF(140).value,F_DISCARD,sched);
  REF(140).tsdr = & dr_bottom;
/* discard 138 */
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).tsdr = & dr_bottom;
/* discard 141 */
  (*(REF(141).tsdr)->finalize)(REF(141).value,F_DISCARD,sched);
  REF(141).tsdr = & dr_bottom;
/* not 142 12.9.1 */
  REF(142).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(142).tsdr = & dr_boolean;
/* branch_false 142 , 320 */
  if ( !REF(142).value.boolean ) goto c320;
/* chs_lit 143 , "Problems transforming program" */
  if( !chs_lit(DEF(143),"Problems transforming program") ) goto ch_depletion;
  current->ip = 82;
cb319:
/* call 7 143 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(143),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c320:
/* discard 143 */
  (*(REF(143).tsdr)->finalize)(REF(143).value,F_DISCARD,sched);
  REF(143).tsdr = & dr_bottom;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c322:
/* block , 45 */
  if((ch_returncode = che_block(QUAL(45),sched)) != Normal)
     goto ch_raise_exception;
/* not 144 12.9.1 */
  REF(144).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(144).tsdr = & dr_boolean;
/* branch_false 144 , 344 */
  if ( !REF(144).value.boolean ) goto c344;
/* ile . 131 =(1) , 332 */
  if ( REF(131).value.integer <= 1 ) goto c332;
/* chs_lit 145 , "" */
  if( !chs_lit(DEF(145),"") ) goto ch_depletion;
  current->ip = 85;
cb329:
/* call 7 145 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(145),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c330:
/* chs_lit 146 , "... " */
  if( !chs_lit(DEF(146),"... ") ) goto ch_depletion;
  current->ip = 87;
cb331:
/* call 6 146 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(146),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c332:
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 146 */
  (*(REF(146).tsdr)->finalize)(REF(146).value,F_DISCARD,sched);
  REF(146).tsdr = & dr_bottom;
/* chs_lit 147 , "store[" */
  if( !chs_lit(DEF(147),"store[") ) goto ch_depletion;
/* concat 148 147 12.9.4 */
  if ((ch_returncode = che_concat(DEF(148),DEF(147),DEF(12)DOT(9)DOT(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 147 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).tsdr = & dr_bottom;
/* concat 149 148 12.0 */
  if ((ch_returncode = che_concat(DEF(149),DEF(148),DEF(12)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 148 */
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).tsdr = & dr_bottom;
/* chs_lit 150 , ".po] " */
  if( !chs_lit(DEF(150),".po] ") ) goto ch_depletion;
/* concat 151 149 150 */
  if ((ch_returncode = che_concat(DEF(151),DEF(149),DEF(150)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 149 */
  (*(REF(149).tsdr)->finalize)(REF(149).value,F_DISCARD,sched);
  REF(149).tsdr = & dr_bottom;
/* discard 150 */
  (*(REF(150).tsdr)->finalize)(REF(150).value,F_DISCARD,sched);
  REF(150).tsdr = & dr_bottom;
  current->ip = 89;
cb343:
/* call 6 151 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(151),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c344:
/* discard 151 */
  (*(REF(151).tsdr)->finalize)(REF(151).value,F_DISCARD,sched);
  REF(151).tsdr = & dr_bottom;
/* wrap 152 124 , 46 */
  if ((ch_returncode = che_wrap(DEF(152),DEF(124),QUAL(46),sched)) != Normal)
     goto ch_raise_exception;
/* concat 153 12.9.4 12.0 */
  if ((ch_returncode = che_concat(DEF(153),DEF(12)DOT(9)DOT(4),DEF(12)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 154 , ".po" */
  if( !chs_lit(DEF(154),".po") ) goto ch_depletion;
/* concat 155 153 154 */
  if ((ch_returncode = che_concat(DEF(155),DEF(153),DEF(154)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 153 */
  (*(REF(153).tsdr)->finalize)(REF(153).value,F_DISCARD,sched);
  REF(153).tsdr = & dr_bottom;
/* discard 154 */
  (*(REF(154).tsdr)->finalize)(REF(154).value,F_DISCARD,sched);
  REF(154).tsdr = & dr_bottom;
  current->ip = 91;
cb351:
/* call 39 155 152 , 47 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(39),
          arguments[1] = DEF(155),
          arguments[2] = DEF(152),
          arguments[2+1] = nil,& arguments[0]),QUAL(47),sched)) != Normal)
     goto ch_raise_exception;
  return;
c352:
/* endblock */
  che_endblock(sched);
/* branch , 372 */
   goto c372;
c354:
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
/* discard 152 */
  (*(REF(152).tsdr)->finalize)(REF(152).value,F_DISCARD,sched);
  REF(152).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 146 */
  (*(REF(146).tsdr)->finalize)(REF(146).value,F_DISCARD,sched);
  REF(146).tsdr = & dr_bottom;
/* discard 147 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).tsdr = & dr_bottom;
/* discard 148 */
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).tsdr = & dr_bottom;
/* discard 149 */
  (*(REF(149).tsdr)->finalize)(REF(149).value,F_DISCARD,sched);
  REF(149).tsdr = & dr_bottom;
/* discard 150 */
  (*(REF(150).tsdr)->finalize)(REF(150).value,F_DISCARD,sched);
  REF(150).tsdr = & dr_bottom;
/* discard 151 */
  (*(REF(151).tsdr)->finalize)(REF(151).value,F_DISCARD,sched);
  REF(151).tsdr = & dr_bottom;
/* discard 153 */
  (*(REF(153).tsdr)->finalize)(REF(153).value,F_DISCARD,sched);
  REF(153).tsdr = & dr_bottom;
/* discard 154 */
  (*(REF(154).tsdr)->finalize)(REF(154).value,F_DISCARD,sched);
  REF(154).tsdr = & dr_bottom;
/* discard 155 */
  (*(REF(155).tsdr)->finalize)(REF(155).value,F_DISCARD,sched);
  REF(155).tsdr = & dr_bottom;
/* not 156 12.9.1 */
  REF(156).value.boolean = !REF(12)DOT(9)DOT(1).value.boolean;
  REF(156).tsdr = & dr_boolean;
/* branch_false 156 , 370 */
  if ( !REF(156).value.boolean ) goto c370;
/* chs_lit 157 , "Problems writing program" */
  if( !chs_lit(DEF(157),"Problems writing program") ) goto ch_depletion;
  current->ip = 94;
cb369:
/* call 7 157 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(157),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c370:
/* discard 157 */
  (*(REF(157).tsdr)->finalize)(REF(157).value,F_DISCARD,sched);
  REF(157).tsdr = & dr_bottom;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c372:
/* chs_lit 158 , "" */
  if( !chs_lit(DEF(158),"") ) goto ch_depletion;
  current->ip = 97;
cb373:
/* call 7 158 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(158),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c374:
/* endblock */
  che_endblock(sched);
/* branch , 386 */
   goto c386;
c376:
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
/* chs_lit 159 , "Transformation of " */
  if( !chs_lit(DEF(159),"Transformation of ") ) goto ch_depletion;
/* concat 160 159 12.0 */
  if ((ch_returncode = che_concat(DEF(160),DEF(159),DEF(12)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 159 */
  (*(REF(159).tsdr)->finalize)(REF(159).value,F_DISCARD,sched);
  REF(159).tsdr = & dr_bottom;
/* chs_lit 161 , " failed!" */
  if( !chs_lit(DEF(161)," failed!") ) goto ch_depletion;
/* concat 162 160 161 */
  if ((ch_returncode = che_concat(DEF(162),DEF(160),DEF(161)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 160 */
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  REF(160).tsdr = & dr_bottom;
/* discard 161 */
  (*(REF(161).tsdr)->finalize)(REF(161).value,F_DISCARD,sched);
  REF(161).tsdr = & dr_bottom;
  current->ip = 100;
cb385:
/* call 7 162 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(162),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c386:
/* discard 158 */
  (*(REF(158).tsdr)->finalize)(REF(158).value,F_DISCARD,sched);
  REF(158).tsdr = & dr_bottom;
/* discard 162 */
  (*(REF(162).tsdr)->finalize)(REF(162).value,F_DISCARD,sched);
  REF(162).tsdr = & dr_bottom;
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
/* discard 152 */
  (*(REF(152).tsdr)->finalize)(REF(152).value,F_DISCARD,sched);
  REF(152).tsdr = & dr_bottom;
/* discard 155 */
  (*(REF(155).tsdr)->finalize)(REF(155).value,F_DISCARD,sched);
  REF(155).tsdr = & dr_bottom;
/* branch , 154 */
   goto c154;
c392:
/* endget 89 88 */
  end_selector(DEF(89),DEF(88),sched,GET);
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c397:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
